Assign task by ID
curl --request PUT \
--url https://apiweb.mile.app/api/v3/task/{taskId}/assign \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"assignee": [
"leandro@mile.app"
]
}
'import requests
url = "https://apiweb.mile.app/api/v3/task/{taskId}/assign"
payload = { "assignee": ["leandro@mile.app"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({assignee: ['leandro@mile.app']})
};
fetch('https://apiweb.mile.app/api/v3/task/{taskId}/assign', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Success",
"task": {
"_id": "6352736c628401059b37a2e2",
"flow": "Visit",
"hubId": "634e98498ce07d29474a7e29",
"startTime": "2022-11-02T07:28:23+00:00",
"organizationId": "634e98098ce07d29474a7e22",
"status": "ONGOING",
"hub": {
"_id": "634e98498ce07d29474a7e29",
"name": "Jakarta",
"lat": -6.205154152722965,
"lng": 106.84667067970608
},
"orderIndex": 10,
"field1": "Jack Ward",
"field2": "Gambir Jakarta",
"field3": "-6.230815251,106.75684387",
"createdFrom": "API",
"endTime": "2022-11-05T07:28:23+00:00",
"createdBy": "Roger",
"createdTime": "2022-11-01T07:28:23+00:00",
"updatedTime": "2022-11-01T07:28:23+00:00",
"assignedBy": "Roger",
"assignedTime": "2022-01-25T20:31:23+00:00",
"assignedTo": {
"_id": "61c2fbaaf27b374e8913fe77",
"name": "leandro",
"email": "leandro@mile.app",
"hubId": [
"634e98498ce07d29474a7e29",
"615bb662bd32b7726709acd2"
],
"organization": null,
"role": null
},
"assignee": [
"leandro@mile.app"
]
}
}{
"status": false,
"message": "Bad request - invalid parameters provided."
}{
"status": false,
"message": "Data not found"
}{
"status": false,
"message": "Internal server error, please contact support@mile.app."
}Task
Assign task by ID
PUT
/
task
/
{taskId}
/
assign
Assign task by ID
Authorizations
Use a valid Bearer token to authenticate.
Path Parameters
Unique identifier for the task that generated by system.
Example: 6352736c628401059b37a2e2
Body
application/json
You can assign tasks using user email according to their task hub. To assign tasks to multiple users, use a comma (',') as a separator.
Example: ['leandro@mile.app']